# RunOptions | ONNX Runtime JavaScript API
Documentation for ONNX Runtime JavaScript API

# Interface RunOptions

A set of configurations for inference run behavior

#### Hierarchy

- RunOptions

- Defined in inference-session.ts:204

#####
Index

### Properties

extra?
logSeverityLevel?
logVerbosityLevel?
tag?
terminate?

## Properties

### `Optional` extra

extra?: Record<string, unknown>

Set a single run configuration entry. See https://github.com/microsoft/onnxruntime/blob/main/include/onnxruntime/core/session/ onnxruntime_run_options_config_keys.h

This setting is available only in WebAssembly backend. Will support Node.js binding and react-native later

### Example

    extra: {
      memory: {
        enable_memory_arena_shrinkage: "1",
      }
    }

- Defined in inference-session.ts:251

### `Optional` logSeverityLevel

logSeverityLevel?: 0 | 2 | 1 | 3 | 4

Log severity level. See https://github.com/microsoft/onnxruntime/blob/main/include/onnxruntime/core/common/logging/severity.h

This setting is available only in ONNXRuntime (Node.js binding and react-native) or WebAssembly backend

- Defined in inference-session.ts:211

### `Optional` logVerbosityLevel

logVerbosityLevel?: number

Log verbosity level.

This setting is available only in WebAssembly backend. Will support Node.js binding and react-native later

- Defined in inference-session.ts:218

### `Optional` tag

tag?: string

A tag for the Run() calls using this

This setting is available only in ONNXRuntime (Node.js binding and react-native) or WebAssembly backend

- Defined in inference-session.ts:232

### `Optional` terminate

terminate?: boolean

Terminate all incomplete OrtRun calls as soon as possible if true

This setting is available only in WebAssembly backend. Will support Node.js binding and react-native later

- Defined in inference-session.ts:225

Generated using TypeDoc